org.apache.mina.transport.serial

## Interface SerialSession

- All Superinterfaces:
    IoSession

      public interface SerialSession
      extends IoSession

  An `IoSession` for serial communication transport.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SerialSessionConfig` | `getConfig()`
    `SerialAddress` | `getLocalAddress()` Returns the socket address of local machine which is associated with this session.
    `SerialAddress` | `getRemoteAddress()` Returns the socket address of remote peer.
    `SerialAddress` | `getServiceAddress()` Returns the socket address of the `IoService` listens to to manage this session.
    `boolean` | `isDTR()` Gets the state of the DTR (Data Terminal Ready) bit in the UART, if supported by the underlying implementation.
    `boolean` | `isRTS()` Gets the state of the RTS (Request To Send) bit in the UART, if supported by the underlying implementation.
    `void` | `setDTR(boolean dtr)` Sets or clears the DTR (Data Terminal Ready) bit in the UART, if supported by the underlying implementation.
    `void` | `setRTS(boolean rts)` Sets or clears the RTS (Request To Send) bit in the UART, if supported by the underlying implementation.

    - ### Methods inherited from interface org.apache.mina.core.session.IoSession

      `close, close, containsAttribute, getAttachment, getAttribute, getAttribute, getAttributeKeys, getBothIdleCount, getCloseFuture, getCreationTime, getCurrentWriteMessage, getCurrentWriteRequest, getFilterChain, getHandler, getId, getIdleCount, getLastBothIdleTime, getLastIdleTime, getLastIoTime, getLastReaderIdleTime, getLastReadTime, getLastWriterIdleTime, getLastWriteTime, getReadBytes, getReadBytesThroughput, getReaderIdleCount, getReadMessages, getReadMessagesThroughput, getScheduledWriteBytes, getScheduledWriteMessages, getService, getTransportMetadata, getWriteRequestQueue, getWriterIdleCount, getWrittenBytes, getWrittenBytesThroughput, getWrittenMessages, getWrittenMessagesThroughput, isBothIdle, isClosing, isConnected, isIdle, isReaderIdle, isReadSuspended, isWriterIdle, isWriteSuspended, read, removeAttribute, removeAttribute, replaceAttribute, resumeRead, resumeWrite, setAttachment, setAttribute, setAttribute, setAttributeIfAbsent, setAttributeIfAbsent, setCurrentWriteRequest, suspendRead, suspendWrite, updateThroughput, write, write`

- - ### Method Detail

    - #### getConfig

          SerialSessionConfig getConfig()

      Specified by:
        `getConfig` in interface `IoSession`
      Returns:
        the configuration of this session.

    - #### getRemoteAddress

          SerialAddress getRemoteAddress()

      Description copied from interface: `IoSession`
      Returns the socket address of remote peer.
      Specified by:
        `getRemoteAddress` in interface `IoSession`

    - #### getLocalAddress

          SerialAddress getLocalAddress()

      Description copied from interface: `IoSession`
      Returns the socket address of local machine which is associated with this session.
      Specified by:
        `getLocalAddress` in interface `IoSession`

    - #### getServiceAddress

          SerialAddress getServiceAddress()

      Description copied from interface: `IoSession`
      Returns the socket address of the `IoService` listens to to manage this session. If this session is managed by `IoAcceptor`, it returns the `SocketAddress` which is specified as a parameter of `IoAcceptor.bind()`. If this session is managed by `IoConnector`, this method returns the same address with that of `IoSession.getRemoteAddress()`.
      Specified by:
        `getServiceAddress` in interface `IoSession`

    - #### setRTS

          void setRTS(boolean rts)

      Sets or clears the RTS (Request To Send) bit in the UART, if supported by the underlying implementation.
      Parameters:
        `rts` - true for set RTS, false for clearing

    - #### isRTS

          boolean isRTS()

      Gets the state of the RTS (Request To Send) bit in the UART, if supported by the underlying implementation.

    - #### setDTR

          void setDTR(boolean dtr)

      Sets or clears the DTR (Data Terminal Ready) bit in the UART, if supported by the underlying implementation.
      Parameters:
        `dtr` - true for set DTR, false for clearing

    - #### isDTR

          boolean isDTR()

      Gets the state of the DTR (Data Terminal Ready) bit in the UART, if supported by the underlying implementation.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.